# Uses of Enum Class
org.apache.sysds.common.Types.FileFormat

Packages that use Types.FileFormat
Package
Description
org.apache.sysds.api.jmlc
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.lops
org.apache.sysds.parser
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.parfor
org.apache.sysds.runtime.io
org.apache.sysds.runtime.meta
org.apache.sysds.runtime.ooc.cache.io
org.apache.sysds.runtime.util

## Uses of Types.FileFormat in org.apache.sysds.api.jmlc

Methods in org.apache.sysds.api.jmlc with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`double[][]`
Connection.`readDoubleMatrix(String fname, Types.FileFormat fmt, long rows, long cols, int blen, long nnz)`
Reads an input matrix in arbitrary format from HDFS into a dense double array.
`String[][]`
Connection.`readStringFrame(String fname, Types.FileFormat fmt, long rows, long cols)`
Reads an input frame in arbitrary format from HDFS into a dense string array.

## Uses of Types.FileFormat in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.FileFormat
Modifier and Type
Method
Description
`static Types.FileFormat`
Types.FileFormat.`defaultFormat()`
`static Types.FileFormat`
Types.FileFormat.`safeValueOf(String fmt)`
`static Types.FileFormat`
Types.FileFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.FileFormat[]`
Types.FileFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.FileFormat in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.FileFormat
Modifier and Type
Method
Description
`Types.FileFormat`
DataOp.`getFileFormat()`
Methods in org.apache.sysds.hops with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`static long`
OptimizerUtils.`estimateSizeTextOutput(int[] dims, long nnz, Types.FileFormat fmt)`
`static long`
OptimizerUtils.`estimateSizeTextOutput(long rows, long cols, long nnz, Types.FileFormat fmt)`
`void`
DataOp.`setFileFormat(Types.FileFormat ft)`

## Uses of Types.FileFormat in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.FileFormat
Modifier and Type
Method
Description
`Types.FileFormat`
Data.`getFileFormatType()`
method to get format type for input, output files.
`Types.FileFormat`
OutputParameters.`getFormat()`
Methods in org.apache.sysds.lops with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`void`
OutputParameters.`setFormat(Types.FileFormat fmt)`
Constructors in org.apache.sysds.lops with parameters of type Types.FileFormat
Modifier
Constructor
Description
``
`Data(Types.OpOpData op, Lop input, HashMap<String,Lop> inputParametersLops, String name, String literal, Types.DataType dt, Types.ValueType vt, Types.FileFormat fmt)`
Constructor to setup read or write LOP In case of write: `input` must be provided.

## Uses of Types.FileFormat in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Types.FileFormat
Modifier and Type
Method
Description
`static Types.FileFormat`
Expression.`convertFormatType(String format)`
Convert string format type to `Hop.FileFormatTypes`.
`Types.FileFormat`
Identifier.`getFileFormat()`
Methods in org.apache.sysds.parser with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`void`
Identifier.`setFileFormat(Types.FileFormat ft)`

## Uses of Types.FileFormat in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`org.apache.spark.api.java.JavaPairRDD<?,?>`
SparkExecutionContext.`getRDDHandleForFrameObject(FrameObject fo, Types.FileFormat fmt)`
FIXME: currently this implementation assumes matrix representations but frame signature in order to support the old transform implementation.
`org.apache.spark.api.java.JavaPairRDD<?,?>`
SparkExecutionContext.`getRDDHandleForMatrixObject(MatrixObject mo, Types.FileFormat fmt)`
`org.apache.spark.api.java.JavaPairRDD<?,?>`
SparkExecutionContext.`getRDDHandleForMatrixObject(MatrixObject mo, Types.FileFormat fmt, int numParts, boolean inclEmpty)`
`org.apache.spark.api.java.JavaPairRDD<?,?>`
SparkExecutionContext.`getRDDHandleForTensorObject(TensorObject to, Types.FileFormat fmt, int numParts, boolean inclEmpty)`
`org.apache.spark.api.java.JavaPairRDD<?,?>`
SparkExecutionContext.`getRDDHandleForVariable(String varname, Types.FileFormat fmt, int numParts, boolean inclEmpty)`
`static void`
SparkExecutionContext.`writeFrameRDDtoHDFS(RDDObject rdd, String path, Types.FileFormat fmt)`
`static long`
SparkExecutionContext.`writeMatrixRDDtoHDFS(RDDObject rdd, String path, Types.FileFormat fmt)`

## Uses of Types.FileFormat in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`static RemoteParForJobReturn`
RemoteDPParForSpark.`runJob(long pfid, String itervar, String matrixvar, String program, HashMap<String,byte[]> clsMap, String resultFile, MatrixObject input, ExecutionContext ec, ParForProgramBlock.PartitionFormat dpf, Types.FileFormat fmt, boolean tSparseCol, boolean enableCPCaching, int numReducers)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type Types.FileFormat
Modifier
Constructor
Description
``
`DataPartitionerRemoteSparkMapper(DataCharacteristics mc, Types.FileFormat fmt, ParForProgramBlock.PDataPartitionFormat dpf, int n)`
``
`DataPartitionerRemoteSparkReducer(String fnameNew, Types.FileFormat fmt, int replication)`
``
`RemoteDPParForSparkWorker(String program, boolean isLocal, HashMap<String,byte[]> clsMap, String inputVar, String iterVar, boolean cpCaching, DataCharacteristics mc, boolean tSparseCol, ParForProgramBlock.PartitionFormat dpf, Types.FileFormat fmt, org.apache.spark.util.LongAccumulator atasks, org.apache.spark.util.LongAccumulator aiters)`

## Uses of Types.FileFormat in org.apache.sysds.runtime.io

Fields in org.apache.sysds.runtime.io declared as Types.FileFormat
Modifier and Type
Field
Description
`Types.FileFormat`
ReadProperties.`fmt`
Methods in org.apache.sysds.runtime.io with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`static FrameReader`
FrameReaderFactory.`createFrameReader(Types.FileFormat fmt)`
`static FrameReader`
FrameReaderFactory.`createFrameReader(Types.FileFormat fmt, FileFormatProperties props)`
`static FrameWriter`
FrameWriterFactory.`createFrameWriter(Types.FileFormat fmt)`
`static FrameWriter`
FrameWriterFactory.`createFrameWriter(Types.FileFormat fmt, FileFormatProperties props)`
`static MatrixReader`
MatrixReaderFactory.`createMatrixReader(Types.FileFormat fmt)`
`static MatrixWriter`
MatrixWriterFactory.`createMatrixWriter(Types.FileFormat fmt)`
`static MatrixWriter`
MatrixWriterFactory.`createMatrixWriter(Types.FileFormat fmt, int replication, FileFormatProperties props)`
`static TensorReader`
TensorReaderFactory.`createTensorReader(Types.FileFormat fmt)`
`static TensorWriter`
TensorWriterFactory.`createTensorWriter(Types.FileFormat fmt)`
`static InputOutputInfo`
InputOutputInfo.`get(Types.DataType dt, Types.FileFormat fmt)`
Constructors in org.apache.sysds.runtime.io with parameters of type Types.FileFormat
Modifier
Constructor
Description
``
`ReaderTextCell(Types.FileFormat fmt)`
``
`ReaderTextCell(Types.FileFormat fmt, boolean allowRaw)`
``
`ReaderTextCellParallel(Types.FileFormat fmt)`

## Uses of Types.FileFormat in org.apache.sysds.runtime.meta

Methods in org.apache.sysds.runtime.meta that return Types.FileFormat
Modifier and Type
Method
Description
`Types.FileFormat`
MetaDataFormat.`getFileFormat()`
Constructors in org.apache.sysds.runtime.meta with parameters of type Types.FileFormat
Modifier
Constructor
Description
``
`MetaDataFormat(DataCharacteristics dc, Types.FileFormat fmt)`

## Uses of Types.FileFormat in org.apache.sysds.runtime.ooc.cache.io

Fields in org.apache.sysds.runtime.ooc.cache.io declared as Types.FileFormat
Modifier and Type
Field
Description
`final Types.FileFormat`
OOCIOHandler.SourceBlockDescriptor.`format`
`final Types.FileFormat`
OOCIOHandler.SourceReadRequest.`format`
Constructors in org.apache.sysds.runtime.ooc.cache.io with parameters of type Types.FileFormat
Modifier
Constructor
Description
``
`GroupSourceBlockDescriptor(String path, Types.FileFormat format, MatrixIndexes indexes, long offset, int recordLength, long serializedSize, List<OOCIOHandler.SourceBlockDescriptor> blocks)`
``
`SourceBlockDescriptor(String path, Types.FileFormat format, MatrixIndexes indexes, long offset, int recordLength, long serializedSize)`
``
`SourceReadRequest(String path, Types.FileFormat format, long rows, long cols, int blen, long estNnz, long maxBytesInFlight, boolean keepOpenOnLimit, OOCStream<IndexedMatrixValue> target)`

## Uses of Types.FileFormat in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util with parameters of type Types.FileFormat
Modifier and Type
Method
Description
`static String`
HDFSTool.`metaDataToString(Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`
`static String`
HDFSTool.`metaDataToString(Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties, String privacyConstraints)`
`static double[]`
HDFSTool.`readColumnVectorFromHDFS(String dir, Types.FileFormat fmt, long rlen, long clen, int blen)`
`static MatrixBlock`
DataConverter.`readMatrixFromHDFS(String dir, Types.FileFormat fmt, long rlen, long clen, int blen)`
`static MatrixBlock`
DataConverter.`readMatrixFromHDFS(String dir, Types.FileFormat fmt, long rlen, long clen, int blen, long expectedNnz)`
`static MatrixBlock`
DataConverter.`readMatrixFromHDFS(String dir, Types.FileFormat fmt, long rlen, long clen, int blen, long expectedNnz, FileFormatProperties formatProperties)`
`static double[][]`
HDFSTool.`readMatrixFromHDFS(String dir, Types.FileFormat fmt, long rlen, long clen, int blen)`
`static TensorBlock`
DataConverter.`readTensorFromHDFS(String dir, Types.FileFormat fmt, long[] dims, int blen, Types.ValueType[] schema)`
`static void`
DataConverter.`writeMatrixToHDFS(MatrixBlock mat, String dir, Types.FileFormat fmt, DataCharacteristics dc)`
`static void`
DataConverter.`writeMatrixToHDFS(MatrixBlock mat, String dir, Types.FileFormat fmt, DataCharacteristics dc, int replication, FileFormatProperties formatProperties)`
`static void`
DataConverter.`writeMatrixToHDFS(MatrixBlock mat, String dir, Types.FileFormat fmt, DataCharacteristics dc, int replication, FileFormatProperties formatProperties, boolean diag)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics mc, Types.FileFormat fmt)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, Types.ValueType[] schema, Types.DataType dt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties, String privacyConstraints)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, DataCharacteristics mc, Types.FileFormat fmt)`
`static void`
HDFSTool.`writeMetaDataFile(String mtdfile, Types.ValueType vt, DataCharacteristics dc, Types.FileFormat fmt, FileFormatProperties formatProperties)`
`static void`
HDFSTool.`writeMetaDataFileFrame(String mtdfile, Types.ValueType[] schema, DataCharacteristics dc, Types.FileFormat fmt)`
`static void`
DataConverter.`writeTensorToHDFS(TensorBlock tensor, String dir, Types.FileFormat fmt, DataCharacteristics dc)`